GET
/
api-keys
List API keys
curl --request GET \
  --url https://your_salambo_base_url/api/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "<string>",
      "key_prefix": "<string>",
      "scopes": [
        "<string>"
      ],
      "created_at": 123,
      "key": "<string>",
      "label": "<string>",
      "last_used_at": 123,
      "revoked_at": 123,
      "updated_at": 123,
      "old_key_revokes_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
after
string<uuid>

Response

API-key list

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required
first_id
string | null
required
last_id
string | null
required